# MarketHistoryService

The market history service retrieves historical information about a market. You can use this API to find out the values of interest rates at a certain point in time. Its especially useful for making charts and graphs of the time-series values.

```
// Returns 10 buckets of market data
fetch("https://api.belugas.io/api/market_history/graph?asset=0xf5dce57282a584d2746faf1593d3121fcac444dc&type=1day");
```

{% content-ref url="/pages/wJeuUwVxy0JoJVnP5gN3" %}
[GET: /market\_history/graph](/api/markethistoryservice/get-graph.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.belugas.io/api/markethistoryservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
